function D=Deff(b,E,t,z,zn)
% fcia spocita ohybovu tuhost pre vrstveny nosnik
% D=b*suma{Ei[((ti^3)/12)+ti*(posunutie^2)]}

D=0;
for i=1:length(E)
    pos=(z(i)-zn);
    D=D+(E(i))*(((t(i)^3)/12)+(t(i))*((pos)^2));
end
D=D*b;

end